Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.modules.layouts
Class JspLayout

    java.lang.Object
      org.apache.turbine.modules.Assembler
          org.apache.turbine.modules.Layout
              org.apache.turbine.modules.layouts.JspLayout

    public class JspLayout

extends Layout

This Layout module allows JSP templates to be used as layouts. Since dynamic content is supposed to be primarily located in screens and navigations there should be relatively few reasons to subclass this Layout.

Author:
  John D. McNally, Henning P. Schmiedehausen, Peter Courcoux

Field Summary

Fields inherited from class org.apache.turbine.modules.Layout
`CACHE_SIZE_DEFAULT, CACHE_SIZE_KEY, NAME, PREFIX`

Constructor Summary
`JspLayout()`

Method Summary
`void` | `doBuild(PipelineData pipelineData)` Method called by LayoutLoader.
`void` | `doBuild(RunData data)` Deprecated. Use PipelineData version instead.

Methods inherited from class org.apache.turbine.modules.Layout
`build, build, getPrefix`

Methods inherited from class org.apache.turbine.modules.Assembler
`getRunData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspLayout

    public JspLayout()

Method Detail

### doBuild

    @Deprecated
    public void doBuild(RunData data)
                 throws Exception

  Deprecated. Use PipelineData version instead.

  Method called by LayoutLoader.

  Specified by:
    `doBuild` in class `Layout`
  Parameters:
    `data` - RunData
  Throws:
    `Exception` - generic exception

### doBuild

    public void doBuild(PipelineData pipelineData)
                 throws Exception

  Method called by LayoutLoader.

  Overrides:
    `doBuild` in class `Layout`
  Parameters:
    `data` - PipelineData
  Throws:
    `Exception` - generic exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.